%
% This is part of BLFSbookja package.
%
% This is a CTIE change file for the original XML source of the BLFSbook.
%
% $Author: matsuand $
% $Rev: 4 $
% $Date:: 2017-03-11 16:02:08 +0900#$
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
<sect1 id="packages" xreflabel="Getting the Source Packages">
  <?dbhtml filename="packages.html"?>
@y
<sect1 id="packages" xreflabel="ソースパッケージの入手">
  <?dbhtml filename="packages.html"?>
@z

@x
  <title>Getting the Source Packages</title>
@y
  <title>ソースパッケージの入手</title>
@z

@x
  <para>Within the BLFS instructions, each package has two references for
  finding the source files for the package&mdash;an HTTP link and an FTP link
  (some packages may only list one of these links). Every effort has been made
  to ensure that these links are accurate. However, the World Wide Web is in
  continuous flux. Packages are sometimes moved or updated and the exact URL
  specified is not always available.</para>
@y
  <para>
  BLFS の作業説明では、各パッケージのソースファイルに対し、二通りの入手方法を示しています。
  一つは HTTP によるリンク、もう一つは FTP によるリンクです。(パッケージによっては、いずれか一方のリンクしかない場合もあります。) これらのリンクは常に正しいものとなるよう努めています。
  しかし World Wide Web というものは流動的なものです。
  パッケージの場所が移動していたり更新されていたりして、説明されている URL が利用できないこともあります。
  </para>
@z

@x
  <para>To overcome this problem, the BLFS Team, with the assistance of Oregon
  State University Open Source Lab, has made an HTTP/FTP site available through
  world wide mirrors.  See <ulink
  url="http://www.linuxfromscratch.org/blfs/download.html#sources">
  http://www.linuxfromscratch.org/blfs/download.html#sources</ulink> for a
  list.  These sites have all the sources of the exact versions of the packages
  used in BLFS.  If you can't find the BLFS package you need at the listed
  addresses, get it from these sites.</para>
@y
  <para>
  このような状況を避けるために BLFS チームはオレゴン州立大学のオープンソースラボ (Oregon
  State University Open Source Lab) の協力のもと、HTTP/FTP によりアクセス可能なサイトを用意しています。
  詳しくは <ulink
  url="http://www.linuxfromscratch.org/blfs/download.html#sources">
  http://www.linuxfromscratch.org/blfs/download.html#sources</ulink> を参照してください。
  このサイトでは BLFS が利用するすべてのパッケージの正しいバージョンによるソースを提供しています。
  BLFS のパッケージが入手できなかった時には、このサイトを利用してください。
  </para>
@z

@x
  <para>We would like to ask a favor, however.  Although this is a public
  resource for you to use, please do not abuse it.  We have already had one
  unthinking individual download over 3 GB of data, including multiple copies of
  the same files that are placed at different locations (via symlinks) to make
  finding the right package easier.  This person clearly did not know what files
  he needed and downloaded everything.  The best place to download files
  is the site or sites set up by the source code developer.  Please try
  there first.</para>
@y
  <para>
  ここで皆さんにお願い致します。
  ソースファイル類は自由に利用できるパブリックなリソースであるわけですが、これらをいたずらに乱したくありません。
  既に個々のパッケージソースを特に熟慮することもなくダウンロードしていますが、中にはパッケージソースを即座に認識できるようにと、同一ファイルに対して複数のコピーが含まれる場合もあります。
  それらは（シンボリックリンクを通じて）別のサイトに置かれている場合もあります。
  ダウンロードしたいファイルがどれであるのか、なかなか分かりにくくなっています。
  ですから本当にダウンロードすべき場所は、そのパッケージの開発者が提供するサイトということになります。
  初めは是非、そのような開発者サイトを参照して頂くようお願いします。
  </para>
@z
